Domains
Connect domain to site
POST
Permission: domains.manage
apiTokenheader
AuthorizationBearer <token>An API token (mwp_…) from Settings → API tokens. Only accepted on this host.
site_id*Site IdFormat
uuiddomain_id*Domain IdFormat
uuidSuccessful Response
application/json- response
success*booleandata*Connect/disconnect started; poll the task.
message*stringstatus_code*integertimestamp*stringFormat
date-timemeta?|nullcurl -X POST "https://example.com/v1/sites/497f6eca-6276-4993-bfeb-53cbbbba6f08/domains/497f6eca-6276-4993-bfeb-53cbbbba6f08/connect"{ "message": "string", "status_code": 0, "timestamp": "2019-08-24T14:15:22Z", "meta": {}, "success": true, "data": { "task": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "task_type": "string", "site_id": "72771e6a-6f5e-4de4-a5b9-1266c4197811", "status": "string", "result": "string", "error_message": "string", "metadata_json": {}, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "completed_at": "2019-08-24T14:15:22Z" }, "domain": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5", "site_id": "72771e6a-6f5e-4de4-a5b9-1266c4197811", "domain": "string", "base_domain": "string", "verification_token": null, "status": "string", "is_connected": true, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } }}